# Interface ICefNavigationEntryVisitor

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefNavigationEntryVisitor = interface(ICefBaseRefCounted)`

## Description

Callback interface for ICefBrowserHost.GetNavigationEntries. The functions of this interface will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_capi.h">CEF source file: /include/capi/cef_browser_capi.h (cef_navigation_entry_visitor_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefNavigationEntryVisitor

## Overview

### Methods

| `function Visit(const entry: ICefNavigationEntry; current: Boolean; index, total: Integer): Boolean;`

## Description

### Methods

| `function Visit(const entry: ICefNavigationEntry; current: Boolean; index, total: Integer): Boolean;`
Method that will be executed. Do not keep a reference to |entry| outside of this callback. Return true (1) to continue visiting entries or false (0) to stop. |current| is true (1) if this entry is the currently loaded navigation entry. |index| is the 0-based index of this entry and |total| is the total number of entries. ###### Attributes GUID['{CC4D6BC9-0168-4C2C-98BA-45E9AA9CD619}']

Generated by PasDoc 0.16.0-snapshot.